Bug 1147728 - RPM Build process modifies underlying code
Summary: RPM Build process modifies underlying code
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-keystoneclient
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alan Pevec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1147084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-30 00:43 UTC by Adam Young
Modified: 2015-07-31 00:34 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1147084
Environment:
Last Closed: 2015-07-31 00:34:31 UTC


Attachments (Terms of Use)
Use PBR_VERSION instead of patching (1.63 KB, patch)
2014-09-30 00:50 UTC, Adam Young
no flags Details | Diff
removes the pbr patch (1.89 KB, patch)
2014-09-30 00:50 UTC, Adam Young
no flags Details | Diff

Description Adam Young 2014-09-30 00:43:40 UTC
+++ This bug was initially created as a clone of Bug #1147084 +++

Description of problem:

Due to an attempt to work around PBR, the spec file patches the code out of the git repository. This makes it very difficult for a developer to build their own RPM.  PBRO provides a means to work around this by setting the PBR_VERSION Environment  variable.

--- Additional comment from Adam Young on 2014-09-26 22:09:51 EDT ---

Removes the associated patches

--- Additional comment from Adam Young on 2014-09-29 20:40:56 EDT ---

Comment 1 Adam Young 2014-09-30 00:50:15 UTC
Created attachment 942552 [details]
Use PBR_VERSION instead of patching

Comment 2 Adam Young 2014-09-30 00:50:50 UTC
Created attachment 942553 [details]
removes the pbr patch


Note You need to log in before you can comment on or make changes to this bug.